% dbman.prc: Constraints.

contradiction(
   ['Contradiction DBMAN1: Entity',
   E,
   'has been specified more than once;']) :-
   o_verifyingLogMsg('DBMAN1'),
   entity(E),
   propositionSet__has_cardinalNumber(entity(E), N),
   N > 1.
      % Primary key constraint.
                

% The Referential Integrity Constraint is covered by the
% constraints on sets.


contradiction(
   ['Contradiction DBMAN2: Entity',
   E,
   'is declared but never referred;']) :-
   o_verifyingLogMsg('DBMAN2'),
   entity(E),
   ~( concept__isExplicitlyAssociatedWith_concept(_, E) ),
   ~( concept__isExplicitlyAssociatedWith_concept(E, _) ).
   


%:- consult('proposet.pro').

